package webovyformular;

import java.io.*;

/**
 *
 * <p>Description: </p>
 * Tda FilterSouboru implementuje rozhran FilenameFilter. Instance tto tdy
 * se pouvaj jako filtry jmen soubor vpisu obsahu adrese.
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * @author Michal Hanzelka
 * @version 1.0
 */
public class FiltrSouboru
    implements FilenameFilter {
  String pripona;

  /**
   * Konstruktor piad parametr <i>pripona</i> k atributu <i>pripona</i> nov
   * instance. FiltrSouboru akceptuje ty soubory, jejich jmno (vetn ppony)
   * kon etzcem stejnm, jak je v atributu <i>pripona</i>.
   * @param pripona String
   */
  public FiltrSouboru(String pripona) {
    this.pripona = pripona;
  }

  /**
   * Metoda accept vrac hodnotu <i>true</i>, kon-li <i>jmeno</i> etzcem
   * stejnm, jak je uloen v atributu <i>pripona</i> volajc instance. V
   * opanm ppad vrac <i>false</i>.
   * @param addr File - cesta k souboru
   * @param jmeno String - jmno souboru vetn ppony
   * @return boolean - <i>true</i> kdy kdy akceptuje, <i>false</i> kdy odmt
   */
  public boolean accept(File addr, String jmeno) {
    return jmeno.endsWith(this.pripona);
  }
}
